clear

if (!exists("name")) print('No files to plot') exit
if (!exists("unit")) unit='Y'
if (!exists("path")) path='.'
if (!exists("ncol")) ncol=1
if (!exists("sample")) sample=1
if (exists("logy")) set log y
if (exists("logx")) set log x
if (exists("logxy")) set log x y

set grid x y
unset key
#set key outside

set timefmt "%s"
set format x "%y/%m/%d - %H:%M:%S"
set xdata time
set xtics rotate by 90 right
set xlabel "GMT time"
set ylabel unit
set ytics nomirror
set tics out
set autoscale y

list = system('find '.path.' -name '.name.' | sort -d' )
print(list)
plot for [file in list] for [col=3:(ncol+2)] file u 1:col every sample w l ls col-2

pause -1


# set format y "%1.1e"

